Get all usage specifications

get

https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/usageManagement/v2/usageSpecification

Returns a list of usage specifications that match the search criteria.

Request

Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The list of usage specifications was returned successfully.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : UsageSpecificationOracle
Title: UsageSpecificationOracle
Match All
Show Source
  • UsageSpecification
    Title: UsageSpecification
    Discriminator: { "propertyName":"@type", "mapping":{ "UsageSpecification":"#/components/schemas/UsageSpecification", "UsageSpecificationOracle":"#/components/schemas/UsageSpecificationOracle" } }
    The Usage Specification resource represents a set of usage characteristics and relationships.
  • UsageSpecificationOracle-allOf[1]
Nested Schema : UsageSpecification
Type: object
Title: UsageSpecification
Discriminator: @type

Discriminator Values

The Usage Specification resource represents a set of usage characteristics and relationships.
Show Source
Nested Schema : UsageSpecificationOracle-allOf[1]
Type: object
Show Source
Nested Schema : meteringRule
Type: array
A list of metering rules associated with the usage specification.
Show Source
Nested Schema : ProjectRef
Type: object
Title: ProjectRef
The project reference resource.
Show Source
Nested Schema : requestSpecification
Type: array
A list of request specifications associated with the usage specification.
Show Source
  • RequestSpecificationRefOracle
    Title: RequestSpecificationRefOracle
    A list of request level specification references (RequestSpecificationRef [*]). A list of request level specifications related to this usage specification, and which will need to be satisfiable for corresponding usage instances.
Nested Schema : MeteringRule
Type: object
Title: MeteringRule
The metering rule resource.
Show Source
Nested Schema : meteringExpression
Type: array
A list of metering expressions associated with the metering rule.
Show Source
Nested Schema : TimePeriodOracle
Type: object
Title: TimePeriodOracle
The validity period of the related party.
Show Source
Nested Schema : MeteringExpression
Type: object
Title: MeteringExpression
The metering expression resource.
Show Source
Nested Schema : meteringExpressionRelationship
Type: object
A list of metering expression relationships associated with the metering expression.
Show Source
Nested Schema : value
A discrete value that the relationship can take on.
Match One Schema
Show Source
Nested Schema : MeteringExpressionRelationship
Type: object
Title: MeteringExpressionRelationship
The metering expression relationship resource.
Show Source
Nested Schema : value-oneOf[1]
Type: object
Nested Schema : RequestSpecificationRefOracle
Type: object
Title: RequestSpecificationRefOracle
A list of request level specification references (RequestSpecificationRef [*]). A list of request level specifications related to this usage specification, and which will need to be satisfiable for corresponding usage instances.
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to get all usage specifications by submitting a GET request on the REST resource using cURL.

Command: curl -u username:password -X GET https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/usageManagement/v2/usageSpecification

Example of Response Body

The following example shows the contents of the response body in JSON format:

[
{
    "id": "DBE_UsageSpec_GPRS",
    "name": "EventDelayedSessionTelcoGprs",
    "description": "UsageSpec for DBE models for EventDelayedSessionTelcoGprs",
    "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/usageManagement/v2/usageSpecification/DBE_UsageSpec_GPRS",
    "lifecycleStatus": "In design",
    "@type": "UsageSpecificationOracle",
    "@baseType": "UsageSpecification",
    "created": "2025-01-20T13:24:14.000Z",
    "createdBy": "booth",
    "lastUpdate": "2025-02-17T10:50:26.004Z",
    "lastUpdatedBy": "booth",
    "version": "1.0",
    "project": {
        "id": "DBE_RI_ProdModel_PreSeed_PSP",
        "name": "DBE RI Product Model Preseed",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/DBE_RI_ProdModel_PreSeed_PSP",
        "version": "1.0",
        "@referredType": "ProjectOracle"
    },
    "meteringRule": [
        {
            "id": "Occurrence",
            "name": "Occurrence",
            "description": "Occurrence",
            "roundingMethod": "UP",
            "stringExpression": "(1)",
            "unitOfMeasure": "None",
            "@type": "MeteringRuleOracle",
            "meteringExpression": [
                {
                    "id": "contentType",
                    "expressionType": "NUMERIC",
                    "value": "1",
                    "@type": "MeteringExpressionOracle"
                }
            ]
        },
        {
            "id": "Volume",
            "name": "Volume",
            "description": "Volume",
            "roundingMethod": "UP",
            "stringExpression": "(1)",
            "unitOfMeasure": "None",
            "@type": "MeteringRuleOracle",
            "meteringExpression": [
                {
                    "id": "contentType",
                    "expressionType": "NUMERIC",
                    "value": "1",
                    "@type": "MeteringExpressionOracle"
                }
            ]
        },
        {
            "id": "Duration",
            "name": "Duration",
            "description": "Duration",
            "roundingMethod": "UP",
            "stringExpression": "(1)",
            "unitOfMeasure": "None",
            "@type": "MeteringRuleOracle",
            "meteringExpression": [
                {
                    "id": "contentType",
                    "expressionType": "NUMERIC",
                    "value": "1",
                    "@type": "MeteringExpressionOracle"
                }
            ]
        }
    ]
},
{
    "id": "DBE_UsageSpec_GSM",
    "name": "EventDelayedSessionTelcoGSM",
    "description": "UsageSpec for DBE models for EventDelayedSessionTelcoGSM",
    "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/tmf-api/usageManagement/v2/usageSpecification/DBE_UsageSpec_GSM",
    "lifecycleStatus": "In design",
    "@type": "UsageSpecificationOracle",
    "@baseType": "UsageSpecification",
    "created": "2025-01-20T13:24:14.000Z",
    "createdBy": "booth",
    "lastUpdate": "2025-02-17T10:50:26.004Z",
    "lastUpdatedBy": "booth",
    "version": "1.0",
    "project": {
        "id": "DBE_RI_ProdModel_PreSeed_PSP",
        "name": "DBE RI Product Model Preseed",
        "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/DBE_RI_ProdModel_PreSeed_PSP",
        "version": "1.0",
        "@referredType": "ProjectOracle"
    },
    "meteringRule": [
        {
            "id": "Occurrence",
            "name": "Occurrence",
            "description": "Occurrence",
            "roundingMethod": "UP",
            "stringExpression": "(1)",
            "unitOfMeasure": "None",
            "@type": "MeteringRuleOracle",
            "meteringExpression": [
                {
                    "id": "contentType",
                    "expressionType": "NUMERIC",
                    "value": "1",
                    "@type": "MeteringExpressionOracle"
                }
            ]
        },
        {
            "id": "Volume",
            "name": "Volume",
            "description": "Volume",
            "roundingMethod": "UP",
            "stringExpression": "(1)",
            "unitOfMeasure": "None",
            "@type": "MeteringRuleOracle",
            "meteringExpression": [
                {
                    "id": "contentType",
                    "expressionType": "NUMERIC",
                    "value": "1",
                    "@type": "MeteringExpressionOracle"
                }
            ]
        },
        {
            "id": "Duration",
            "name": "Duration",
            "description": "Duration",
            "roundingMethod": "UP",
            "stringExpression": "(1)",
            "unitOfMeasure": "None",
            "@type": "MeteringRuleOracle",
            "meteringExpression": [
                {
                    "id": "contentType",
                    "expressionType": "NUMERIC",
                    "value": "1",
                    "@type": "MeteringExpressionOracle"
                }
            ]
        }
    ]
}
]
Back to Top